package scopes_test

import (
	tbase "testing"

	"git.sr.ht/~cco/go-scopes/common/testing"
	"git.sr.ht/~cco/go-scopes/forge"
	"git.sr.ht/~cco/go-scopes/forge/builtins"
)

func TestForge(tb *tbase.T) {
	t := testing.SetUp(tb)
	t.Run("exec", ExecTest)
}

func ExecTest(t *testing.T) {
	fe := forge.NewFE()
	b := builtins.Get(fe)
	fe.Call(fe.Code(b.Lit, 4, b.Lit, 2, b.Add))
	t.AssertEqual(fe.Pop(), 6)
}
